package com.ruoyi.system.domain;

import java.math.BigDecimal;
import java.util.Date;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 服务内容对象 service_goods
 * 
 * @author ruoyi
 * @date 2025-05-13
 */
public class ServiceGoods extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 标题 */
    @Excel(name = "标题")
    private String title;

    /** 图标 */
    @Excel(name = "图标")
    private String icon;

    /** 轮播图 */
    @Excel(name = "轮播图")
    private String imgs;

    /** 副标题 */
    @Excel(name = "副标题")
    private String subTitle;

    /** 简介 */
    @Excel(name = "简介")
    private String info;

    /** 价格 */
    @Excel(name = "价格")
    private BigDecimal price;

    /** 列表价格显示 */
    @Excel(name = "列表价格显示")
    private String priceZn;

    /** 销量 */
    @Excel(name = "销量")
    private Long sales;

    /** 库存 */
    @Excel(name = "库存")
    private Long stock;

    /** 状态 */
    @Excel(name = "状态")
    private String status;

    /** 详情 */
    @Excel(name = "详情")
    private String description;

    /** 规格类型 1：单规格  2：多规格 */
    @Excel(name = "规格类型 1：单规格  2：多规格")
    private Integer skuType;

    /** 规格 */
    @Excel(name = "规格")
    private String sku;

    /** 经度 */
    @Excel(name = "经度")
    private String latitude;

    /** 纬度 */
    @Excel(name = "纬度")
    private String longitude;

    /** 1:服务 2：商品 */
    @Excel(name = "1:服务 2：商品")
    private Integer type;

    /** 分类 */
    @Excel(name = "分类")
    private Long cateId;

/** 分类 */
@Excel(name = "分类名称")
private String cateName;


    /** 服务项目 */
    @Excel(name = "服务项目")
    private String project;

    /** 排序 */
    @Excel(name = "排序")
    private Integer sort;

    /** 物料费用 */
    @Excel(name = "物料费用")
    private String material;

    /** 邮费 */
    @Excel(name = "邮费")
    private BigDecimal postage;

    /** 基检现象 */
    @Excel(name = "基检现象")
    private String basic;

    /** 保证金 */
    @Excel(name = "保证金")
    private BigDecimal margin;

    /** 所需技能 */
    @Excel(name = "所需技能")
    private String skillIds;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Date createdAt;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Date updatedAt;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Date deletedAt;



    private BigDecimal minPrice;
    private BigDecimal maxPrice;
    private String createdStart;
    private String createdEnd;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }

    public void setTitle(String title) 
    {
        this.title = title;
    }

    public String getTitle() 
    {
        return title;
    }

    public void setIcon(String icon) 
    {
        this.icon = icon;
    }

    public String getIcon() 
    {
        return icon;
    }

    public void setImgs(String imgs) 
    {
        this.imgs = imgs;
    }

    public String getImgs() 
    {
        return imgs;
    }

    public void setSubTitle(String subTitle) 
    {
        this.subTitle = subTitle;
    }

    public String getSubTitle() 
    {
        return subTitle;
    }

    public void setInfo(String info) 
    {
        this.info = info;
    }

    public String getInfo() 
    {
        return info;
    }

    public void setPrice(BigDecimal price) 
    {
        this.price = price;
    }

    public BigDecimal getPrice() 
    {
        return price;
    }

    public void setPriceZn(String priceZn) 
    {
        this.priceZn = priceZn;
    }

    public String getPriceZn() 
    {
        return priceZn;
    }

    public void setSales(Long sales) 
    {
        this.sales = sales;
    }

    public Long getSales() 
    {
        return sales;
    }

    public void setStock(Long stock) 
    {
        this.stock = stock;
    }

    public Long getStock() 
    {
        return stock;
    }

    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }

    public void setDescription(String description) 
    {
        this.description = description;
    }

    public String getDescription() 
    {
        return description;
    }

    public void setSkuType(Integer skuType) 
    {
        this.skuType = skuType;
    }

    public Integer getSkuType() 
    {
        return skuType;
    }

    public void setSku(String sku) 
    {
        this.sku = sku;
    }

    public String getSku() 
    {
        return sku;
    }

    public void setLatitude(String latitude) 
    {
        this.latitude = latitude;
    }

    public String getLatitude() 
    {
        return latitude;
    }

    public void setLongitude(String longitude) 
    {
        this.longitude = longitude;
    }

    public String getLongitude() 
    {
        return longitude;
    }

    public void setType(Integer type) 
    {
        this.type = type;
    }

    public Integer getType() 
    {
        return type;
    }

    public void setCateId(Long cateId) 
    {
        this.cateId = cateId;
    }

    public Long getCateId() 
    {
        return cateId;
    }

    public void setProject(String project) 
    {
        this.project = project;
    }

    public String getProject() 
    {
        return project;
    }

    public void setSort(Integer sort) 
    {
        this.sort = sort;
    }

    public Integer getSort() 
    {
        return sort;
    }

    public void setMaterial(String material) 
    {
        this.material = material;
    }

    public String getMaterial() 
    {
        return material;
    }

    public void setPostage(BigDecimal postage) 
    {
        this.postage = postage;
    }

    public BigDecimal getPostage() 
    {
        return postage;
    }

    public void setBasic(String basic) 
    {
        this.basic = basic;
    }

    public String getBasic() 
    {
        return basic;
    }

    public void setMargin(BigDecimal margin) 
    {
        this.margin = margin;
    }

    public BigDecimal getMargin() 
    {
        return margin;
    }

    public void setSkillIds(String skillIds) 
    {
        this.skillIds = skillIds;
    }

    public String getSkillIds() 
    {
        return skillIds;
    }

    public void setCreatedAt(Date createdAt) 
    {
        this.createdAt = createdAt;
    }

    public Date getCreatedAt() 
    {
        return createdAt;
    }

    public void setUpdatedAt(Date updatedAt) 
    {
        this.updatedAt = updatedAt;
    }

    public Date getUpdatedAt() 
    {
        return updatedAt;
    }

    public void setDeletedAt(Date deletedAt) 
    {
        this.deletedAt = deletedAt;
    }

    public Date getDeletedAt() 
    {
        return deletedAt;
    }

    public String getCateName() {
        return cateName;
    }

    public void setCateName(String cateName) {
        this.cateName = cateName;
    }

    public String getCreatedEnd() {
        return createdEnd;
    }

    public void setCreatedEnd(String createdEnd) {
        this.createdEnd = createdEnd;
    }

    public String getCreatedStart() {
        return createdStart;
    }

    public void setCreatedStart(String createdStart) {
        this.createdStart = createdStart;
    }

    public BigDecimal getMaxPrice() {
        return maxPrice;
    }

    public void setMaxPrice(BigDecimal maxPrice) {
        this.maxPrice = maxPrice;
    }

    public BigDecimal getMinPrice() {
        return minPrice;
    }

    public void setMinPrice(BigDecimal minPrice) {
        this.minPrice = minPrice;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("title", getTitle())
            .append("icon", getIcon())
            .append("imgs", getImgs())
            .append("subTitle", getSubTitle())
            .append("info", getInfo())
            .append("price", getPrice())
            .append("priceZn", getPriceZn())
            .append("sales", getSales())
            .append("stock", getStock())
            .append("status", getStatus())
            .append("description", getDescription())
            .append("skuType", getSkuType())
            .append("sku", getSku())
            .append("latitude", getLatitude())
            .append("longitude", getLongitude())
            .append("type", getType())
            .append("cateId", getCateId())
            .append("project", getProject())
            .append("sort", getSort())
            .append("material", getMaterial())
            .append("postage", getPostage())
            .append("basic", getBasic())
            .append("margin", getMargin())
            .append("skillIds", getSkillIds())
            .append("createdAt", getCreatedAt())
            .append("updatedAt", getUpdatedAt())
            .append("deletedAt", getDeletedAt())
            .toString();
    }
}
